{*****************************************************************************}
{  DDObjects                                            www.delphi-online.at  }
{  Copyright (C) 2006 Stefan Meisner, stefan.meisner@gmx.net                  }
{  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    }
{  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABI-    }
{  LITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY  }
{  RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR   }
{  ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,   }
{  TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFT-    }
{  WARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         }
{*****************************************************************************}

unit uDemoMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, uClientMainForm;

type
  TDemoMainForm = class(TForm)
    MainMenu1: TMainMenu;
    Close1: TMenuItem;
    MnuNew: TMenuItem;
    MnuClose: TMenuItem;
    Window1: TMenuItem;
    Cascade1: TMenuItem;
    Tile1: TMenuItem;
    N1: TMenuItem;
    procedure MnuNewClick(Sender: TObject);
    procedure MnuCloseClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Cascade1Click(Sender: TObject);
    procedure Tile1Click(Sender: TObject);
  end;

var
  DemoMainForm: TDemoMainForm;

implementation

{$R *.dfm}

//----------------------------------------------------------------------------
//2006-02-15 N,SM:

procedure TDemoMainForm.MnuNewClick(Sender: TObject);
begin
  TClientMainForm.Create(Self);
end;

//----------------------------------------------------------------------------
//2006-02-15 N,SM:

procedure TDemoMainForm.MnuCloseClick(Sender: TObject);
begin
  Close;
end;

//----------------------------------------------------------------------------
//2006-02-15 N,SM:

procedure TDemoMainForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
var
  i: Integer;
begin
  for i := MDIChildCount -1 downto 0 do
    MDIChildren[i].Release;
end;

//----------------------------------------------------------------------------
//2006-02-15 N,SM:

procedure TDemoMainForm.Cascade1Click(Sender: TObject);
begin
  Cascade;
end;

//----------------------------------------------------------------------------
//2006-02-15 N,SM:

procedure TDemoMainForm.Tile1Click(Sender: TObject);
begin
  Tile;
end;

end.
